<?php
if (!isset($_SESSION))
{
	session_start();
}
function check_email($email, $check_domain = false) 
{ 
    if (ereg('^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+'.'@'.'[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.'.'[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$', $email))
    {
		if ($check_domain && function_exists('checkdnsrr'))
		{
			list (, $domain)  = explode('@', $email);
            if (checkdnsrr($domain, 'MX') || checkdnsrr($domain, 'A'))
            {
                return true;
            }
            return false;
        }
        return true;
    }
    return false;
}
function create_code($tp_length)
{
	$temp_password = "";
	$pstring = "aAbBcCdDeEfFgGhHiIjJkKlLmMnNoOpPqQrRsStTuUvVwWXxYyZz0123456789";
	$plength = strlen($pstring);
	for ($i = 1; $i <= $tp_length; $i++)
	{
		$start = rand(0,$plength);
		$temp_password.= substr($pstring, $start, 1);
	}
	return $temp_password;
}
$notel = "ja";
$soort_layout = "clear";
require_once('header.php');
echo "<h1>Account activeren</h1>";
if ($aangemeld == "ja")
{
	$activated = halen("SELECT activated FROM members WHERE naam='".$_SESSION['naam']."';");
	$mail = halen("SELECT mail FROM members WHERE naam='".$_SESSION['naam']."';");
	if ($activated != "ja")
	{
		$new_mail = $_GET['mailadres'];
		if(check_email($new_mail))
		{
			if($new_mail != $mail)
			{
				mysql_query("UPDATE members SET mail='".$new_mail."' WHERE naam='".$_SESSION['naam']."';");
				$new_code = create_code(30);
				mysql_query("INSERT INTO reg_codes SET code='".$new_code."', member='".$_SESSION['naam']."';");
				$mime_boundary = "Jabbo".md5(time());
				$to = $new_mail;
				$subject = "Bevestig het e-mailadres van je Jabbo Hotel account";
				$headers = "From: Jabbo <auto-contact@jabbo.be>\n";
				$headers .= "MIME-Version: 1.0\n";
				$headers .= "Content-Type: multipart/alternative; boundary=\"$mime_boundary\"\n";
				$message = "--$mime_boundary\n";
				$message .= "Content-Type: text/plain; charset=UTF-8\n";
				$message .= "Content-Transfer-Encoding: 8bit\n\n";
				$message .= "Welkom bij Jabbo Hotel!\n\n";
				$message .= "Je registratie op Jabbo.be is gelukt. Bevestig nu alsjeblieft je registratie, zodat we je later via e-mail kunnen ondersteunen bij vragen over je account, bijvoorbeeld als je je wachtwoord wilt opvragen.\n\n";
				$message .= "BELANGRIJK!\n";
				$message .= "Door op de volgende link te klikken laat je ons weten dat we je e-mailadres ".$new_mail." goed hebben geregistreerd:\n";
				$message .= "http://www.jabbo.be/active.php?action=yes&code=".$new_code."\n\n";
				$message .= "Tot ziens in Jabbo Hotel!\n\n";
				$message .= "Thomas, Hotel Manager\n";
				$message .= "Jabbo Hotel\n";
				$message .= "www.jabbo.be\n\n\n";
				$message .= "= = = = = =\n\n";
				$message .= "Dit is een automatisch gegenereerd bericht. Het is niet mogelijk te antwoorden op dit bericht. Vragen moeten via de Helptool op de website gesteld worden.\n\n";
				$message .= "Een Jabbogebruiker heeft dit mailadres opgegeven toen hij zich op onze site heeft geregistreerd. Als je geen Jabboaccount hebt, en dit bericht dus ongevraagd ontvangt, kun je je mailadres uit onze database verwijderen door op deze link te klikken:  http://www.jabbo.be/active.php?action=no&code=".$new_code."\n\n";
				$mail_sent = @mail($to, $subject, $message, $headers);
				echo $mail_sent ? "Uw activatiemail is verzonden." : "Uw activatiemail is <b>NIET</b> verzonden. Er is een fout.";
			}
			else
			{
				echo "Dit is hetzelfde emailadres.<br><br>";
				echo "<form name='register' action='addmail2.php' method='get'>";
				echo "<table border='0'>";
				echo "<tr>";
				echo "<td width='150'>Mailadres: </td>";
				echo "<td><input name='mailadres' type='text' size='50'></td>";
				echo "</tr><tr>";
				echo "<td colspan='2'><input type='submit' name='submit' value='Ok'></td>";
				echo "</tr></table>";
				echo "</form>";
			}
		}
		else
		{
			echo "Dit is geen geldig emailadres.<br><br>";
			echo "<form name='register' action='addmail2.php' method='get'>";
			echo "<table border='0'>";
			echo "<tr>";
			echo "<td width='150'>Mailadres: </td>";
			echo "<td><input name='mailadres' type='text' size='50'></td>";
			echo "</tr><tr>";
			echo "<td colspan='2'><input type='submit' name='submit' value='Ok'></td>";
			echo "</tr></table>";
			echo "</form>";
		}
	}
	else
	{
		echo "Jouw account is al geactiveerd!";
	}
}
else
{
	echo "Oeps! Hiervoor moet je aangemeld zijn!";
}
require_once('footer.php');
?>